Verify invite
curl --request POST \
--url https://api.vidbeo.com/v2/invites/{invite_id}/accept/{invite_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "Example123"
}
'import requests
url = "https://api.vidbeo.com/v2/invites/{invite_id}/accept/{invite_token}"
payload = { "password": "Example123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'Example123'})
};
fetch('https://api.vidbeo.com/v2/invites/{invite_id}/accept/{invite_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"message": "Password required but not sent"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Forbidden"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Too many requests"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Internal server error"
}
]
}Invites
Verify invite
Verify a sent invite URL is valid
POST
/
invites
/
{invite_id}
/
accept
/
{invite_token}
Verify invite
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the invite
Example:
"abcde12345abcde12345a"
Token to verify the invite
Example:
"abcde12345abcde12345a-123456"
Body
application/json
Their chosen password
Required string length:
8 - 100Example:
"Example123"